Bug 526119 - Windows 7 install crashes with the qemu-kvm version shipped by Fedora 11
Windows 7 install crashes with the qemu-kvm version shipped by Fedora 11
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
11
All Linux
medium Severity high
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
: 526012 (view as bug list)
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-09-28 16:50 EDT by Lucas Meneghel Rodrigues
Modified: 2015-10-18 18:41 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:50:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Blue screen with the windows 7 crash (2.70 KB, image/png)
2009-09-28 16:50 EDT, Lucas Meneghel Rodrigues
no flags Details
virt-manager log (836.91 KB, text/plain)
2009-10-01 16:39 EDT, Lucas Meneghel Rodrigues
no flags Details

  None (edit)
Description Lucas Meneghel Rodrigues 2009-09-28 16:50:40 EDT
Created attachment 362942 [details]
Blue screen with the windows 7 crash

Description of problem: Windows 7 install crashes under Fedora 11 (screenshot attached)

Version-Release number of selected component (if applicable):

qemu version:

qemu-common-0.10.6-5.fc11.x86_64
qemu-system-x86-0.10.6-5.fc11.x86_64
qemu-img-0.10.6-5.fc11.x86_64
qemu-kvm-0.10.6-5.fc11.x86_64


How reproducible: Allways


Steps to Reproduce:
1. Start a VM on virt-manager pointing to the install DVD of the latest released win7 version on MSDN (en_windows_7_ultimate_x64_dvd_x15-65922.iso)
2. The VM starts to boot the install DVD, after a few moments we get a blue screen with the message (screenshot contains the blue screen):

*** STOP: 0x0000005c (0x00000000000000010B, 0x000000000000000003, 0x000000000000000000, 0x000000000000000000)

  
Actual results: Windows 7 install crashes


Expected results: Windows 7 install to finish successfuly


Additional info: 

1) qemu command line assembled by libvirt:

/usr/bin/qemu-kvm -S -M pc -m 1000 -smp 1 -name windows7 -uuid 024a96f7-80a2-0227-aadb-35587f21f4f4 -monitor pty -pidfile /var/run/libvirt/qemu//windows7.pid -localtime -boot d -drive file=/home/lmr/Virt/images/windows7.img,if=ide,index=0 -drive file=/home/lmr/Virt/isos/windows/en_windows_7_ultimate_x64_dvd_x15-65922.iso,if=ide,media=cdrom,index=2 -net nic,macaddr=54:52:00:6a:f2:15,vlan=0 -net tap,fd=17,vlan=0 -serial pty -parallel none -usb -usbdevice tablet -vnc 127.0.0.1:0

2) The very same procedure works fine under the qemu version shipped with rawhide (as of now, qemu-kvm-0.11.0-2.fc12).
Comment 1 Mark McLoughlin 2009-10-01 11:46:14 EDT
Okay, we've another similar, but slightly different, report in bug #526012

Could you include ~/.virt-manager/virt-manager.log? What guest type did you tell virt-manager you were installing?
Comment 2 Lucas Meneghel Rodrigues 2009-10-01 16:39:13 EDT
Created attachment 363395 [details]
virt-manager log
Comment 3 Lucas Meneghel Rodrigues 2009-10-01 16:42:58 EDT
Sure, just did. I told virt-manager I was installing windows vista, which is indeed the closest thing to windows 7.
Comment 4 Mark McLoughlin 2009-10-02 04:27:03 EDT
Thanks Lucas

Well, at least we know this works in F-12

If anybody has an idea what the fix was, we'll happily pull it into F-11
Comment 5 Mark McLoughlin 2009-10-02 04:28:52 EDT
*** Bug 526012 has been marked as a duplicate of this bug. ***
Comment 6 Mark McLoughlin 2009-10-09 06:46:52 EDT
Note, Frederic posted more details on his Windows 7 problem to bug #526012. I'm leaving it marked as a duplicate of this one until someone has a chance to debug a Windows 7 on Fedora 11
Comment 7 Jaroslav Sykora 2010-01-09 05:15:03 EST
I had similar problem with Vista - BSOD 5c early during boot. Turned out that is caused by the bochs bios - Bug #549290.
Comment 8 Fedora Admin XMLRPC Client 2010-03-09 11:53:57 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2010-03-09 12:17:32 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Bug Zapper 2010-04-28 06:36:22 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 10:50:24 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.